How to resolve database version mismatch? / Database version [10.0.11] Does not match application version [10.0.21]

Hi,

We are using Promise CE update 3 - 10.03.00.35

One user gets the following prompt on startup, and cannot use Promise

I have several questions,

  1. What has caused the mismatch version, if we all have the same application version?
  2. How do I check which version database is on the server? (I know from the above image it's 10.0.11, but I'd like to know how to check in the future)
  3. How do I know which application version uses which database version? 
  4. If that user upgrades the database, how will it effect the other users?

Thanks,

DM

EDIT
Possible answer to question 3, found a table of Application and Database versions here Project Database Version - Substation  But not sure if it is applicable to Promise as well as Substation. The answer to 2 is also on that page.

Parents Reply Children
No Data